Skip to content

Summary

The AI-generated summary of a patient’s overall records and condition(s).

Subject Summary

Request

Fetches the summary for a given subject. Throws a Forbidden error if the summary feature is disabled for the project.

Security
bearer
Path
subjectIdstringrequired
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
GET
/api/v1/patient-registry/summary/subject/{subjectId}
curl -i -X GET \
  'https://partner.xcures.com/api/v1/patient-registry/summary/subject/{subjectId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
overviewstringrequired

An overview or summary of the subject.

Example:"This is a summary of the subject's details."
referencedDocumentsArray of objects(ReferencedDocumentDto)required

A list of documents referenced in the subject summary.

Example:
[ { "documentId": "doc12345", "referencedStrings": [] }, { "documentId": "doc67890", "referencedStrings": [] } ]
Response
{ "overview": "This is a summary of the subject's details.", "referencedDocuments": [ {}, {} ] }